%define	name	qadsl
%define	version	1.2
%define	release	4mdk

Summary:	A small utility to "auto login" on the Telia AB ADSL service.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Servers 
URL:		http://qba.linuxsweden.nu/
Source:		%{name}-final-%{version}.tar.bz2
Patch0:		%{name}-final-%{version}-Makefile.patch.bz2
Patch1:		%{name}-final-%{version}-pidfile.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
qADSL is a small utility to "auto login" on the Telia AB ADSL service. It
also works fine with COMHEM Cable internet (I've been told). It has
features like "keep-alive" daemon, login/logout functions. The keep-alive
daemon can be configured to either login or to ping your login-server after
a chosen delay in minutes. 

NOTE! qadsl may only work in Sweden and with the stupid authentication scheme
that Telia AB requires. 

%prep
rm -rf %{buildroot}

%setup -q -n %{name}-final-%{version}
%patch0 -p0
%patch1 -p1

%build
%make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/sbin
mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_mandir}/man8

install -m 755 %{name} %{buildroot}/sbin/
install -m 600 %{name}.conf %{buildroot}%{_sysconfdir}/

# why does he gzip the manpage???
gunzip qadsl.8.gz
install -m 644 %{name}.8 %{buildroot}%{_mandir}/man8/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%doc INSTALL
%config(noreplace) %{_sysconfdir}/%{name}.conf
/sbin/%{name}
%{_mandir}/man8/%{name}.8*

%changelog
* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.2-4mdk
- build release

* Sun May 19 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.2-3mdk
- added a note in the description saying this package may be for
  Swedish habitants only; as suggested by Yves Duret

* Sat May 18 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.2-2mdk
- fix pidfile location (P1)
- rebuilt with gcc3.1

* Sat Dec 1 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.2-1mdk
- update to 1.2
- initial cooker contrib.

* Thu May 31 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.0-1mdk
- initial mandrake package 


